Subject: Re: [PATCH v3 01/10] ss: rooted out ss type declarations for output formatters

From: Matthias Tafelmeier <[email-masked]>
Date: Tue, 25 Aug 2015 21:13:01 +0200

On 08/23/2015 07:07 PM, Stephen Hemminger wrote:
> On Thu, 20 Aug 2015 22:40:12 +0200
> Matthias Tafelmeier <[email-masked]> wrote:
> 
>> The prospected output formatters and ss do share type declarations like
>> slabstat or tcpstat so that the decision has been made to centralize
>> those declarations in ss_types.h.  Potential future declarations shall
>> be placed there. The latter should help amend the extent of ss.c as
>> well.
>>
>> Signed-off-by: Matthias Tafelmeier <[email-masked]>
>> Suggested-by: Hagen Paul Pfeifer <[email-masked]>
> 
> I looked at this series, and was going to merge it but the code to do
> json formatting gets really ugly. Please redo it with the json_writer
> code I just added.
> 

Original: "See your point there. I will do that. Thanks."

Had a glitch with my email-client. This time without PGP.